
# profile.debian.sh

# If vim does not set syntax on automatically, give these commands manually:

#vim: syntax on
#vim: set ft=sh

# Yes, I am pervert: I use both (X)Emacs and Vim.

#echo profile.debian.sh

# NOTE!
# linux_logo will not work right, if you do not have a file ~/.linux_logo
# Put this to that file: -L debian_banner
# If linux_logo is some older version, use this instead: -L 3
# This way you get a list of available logos: linux_logo -L list

# You may also need to compile linux_logo yourself. It goes like this:
# You need files: linuxlogo_5.03-4.diff.gz linuxlogo_5.03-4.dsc linuxlogo_5.03.orig.tar.gz
# Run these commands:
# dpkg-source -x linuxlogo_5.03-4.dsc
# cd linuxlogo-5.03
# fakeroot debian/rules binary
# After compilation it probably fails to create the final Debian-package.
# Never mind: Just copy that linux_logo -binary to your ~/bin/ and that's it!

PROFILE_UBUNTU="1"
export PROFILE_UBUNTU

OLDPATH="$PATH"
PATH="${HOME}/scripts:${HOME}/bin:${PATH}:/usr/bin/X11:/usr/X11R6/bin:/usr/local/scripts"
export PATH


galeondoc ()
{
    if [ -z "$1" ]
    then
        return 1
    fi

    if [ -d /usr/share/doc/$1 ]
    then
        galeon /usr/share/doc/$1
    elif [ -d /usr/doc/$1 ]
    then
        galeon /usr/doc/$1
    else
        return 1
    fi
}


if tty > /dev/null 2>&1
then
    case $- in *i*)
        # Add here all commands, that must be run under interactive shells only
        # (both login- and non-login)


        R="`cat /etc/debian_version`"
        #Some day we will have "Debian GNU/Hurd", "Debian GNU/FreeBSD", "Debian GNU/NetBSD" and "Debian GNU/OpenBSD" I hope :-)
        DEBIAN_OS="`uname -s`"

        eval `resize`

        if test "$LINES" -le 26
        then
            case "$TERM" in

                *xterm*|*rxvt*|gnome-terminal|*onsole|zvt|dterm|kterm|Eterm|zterm|screen*)
                linux_logo -t "Based on Debian GNU/${DEBIAN_OS} version ${R}" -L ubuntu -u -y -F '#H\n#E\nKernel #V compiled #C\n#RB RAM. #N #M #X #T #P, #B Bogomips Total\n#U, #L'
                ;;

                vt100)
                if test "$TERM_PROGRAM" = "Apple_Terminal"
                then
                    linux_logo -t "Based on Debian GNU/${DEBIAN_OS} version ${R}" -L ubuntu -u -y -F '#H\n#E\nKernel #V compiled #C\n#RB RAM. #N #M #X #T #P, #B Bogomips Total\n#U, #L'
                else
                    linux_logo -a -t "Based on Debian GNU/${DEBIAN_OS} version ${R}" -L ubuntu -u -y -F '#H\n#E\nKernel #V compiled #C\n#RB RAM. #N #M #X #T #P, #B Bogomips Total\n#U, #L'
                fi
                ;;

                linux*)
                linux_logo -t "Based on Debian GNU/${DEBIAN_OS} version ${R}" -L ubuntu -u -y -F '#H\n#E\nKernel #V compiled #C\n#RB RAM. #N #M #X #T #P, #B Bogomips Total\n#U, #L'
                ;;

                *)
                linux_logo -a -t "Based on Debian GNU/${DEBIAN_OS} version ${R}" -L ubuntu -u -y -F '#H\n#E\nKernel #V compiled #C\n#RB RAM. #N #M #X #T #P, #B Bogomips Total\n#U, #L'
            esac
        elif test "$LINES" -gt 26
        then
            case "$TERM" in
                *xterm*|rxvt*|gnome-terminal|*onsole|zvt|dterm|kterm|Eterm|zterm|screen*)
                echo ""
                linux_logo -t "Based on Debian GNU/${DEBIAN_OS} version ${R}" -L ubuntu -u -y -F '#H\n#E\nKernel #V compiled #C\n#RB RAM. #N #M #X #T #P, #B Bogomips Total\n#U, #L'
                echo ""
                ;;

                vt100)
                if test "$TERM_PROGRAM" = "Apple_Terminal"
                then
                    echo ""
                    linux_logo -t "Based on Debian GNU/${DEBIAN_OS} version ${R}" -L ubuntu -u -y -F '#H\n#E\nKernel #V compiled #C\n#RB RAM. #N #M #X #T #P, #B Bogomips Total\n#U, #L'
                    echo ""
                else
                    echo ""
                    linux_logo -a -t "Based on Debian GNU/${DEBIAN_OS} version ${R}" -L ubuntu -u -y -F '#H\n#E\nKernel #V compiled #C\n#RB RAM. #N #M #X #T #P, #B Bogomips Total\n#U, #L'
                    echo ""
                fi
                ;;

                linux*)
                echo ""
                linux_logo -t "Based on Debian GNU/${DEBIAN_OS} version ${R}" -L ubuntu -u -y -F '#H\n#E\nKernel #V compiled #C\n#RB RAM. #N #M #X #T #P, #B Bogomips Total\n#U, #L'
                echo ""
                ;;

                *)
                echo ""
                linux_logo -a -t "Based on Debian GNU/${DEBIAN_OS} version ${R}" -L ubuntu -u -y -F '#H\n#E\nKernel #V compiled #C\n#RB RAM. #N #M #X #T #P, #B Bogomips Total\n#U, #L'
                echo ""

            esac
        fi

    esac
fi

PATH="${OLDPATH}"
export PATH

unset OLDPATH 2> /dev/null
unset DEBIAN_OS 2> /dev/null
unset W2L_SRC 2> /dev/null
unset R 2> /dev/null

